#include "Endframe_Player.h"
#include "Tribes.h"
#include "Math.h"

int player_last_vft = VFT_PLAYER;
float player_speed;

void Endframe_Player_Load( ) {
	if ( !Tribes::GetResourceExists( "onVehicleEnter" ) )
		Tribes::Eval( "function onVehicleEnter( ) { }" );
	if ( !Tribes::GetResourceExists( "onVehicleExit" ) )
		Tribes::Eval( "function onVehicleExit( ) { }" );

	Tribes::RegisterVariable( "Speed", &player_speed, VAR_FLOAT );
}


void Endframe_Player( ) {
	Entity *ctrl = Tribes::GetControlledObject( );
	if ( ctrl ) {
		if ( ( ctrl->virtual_func_table == VFT_VEHICLE ) && ( player_last_vft != VFT_VEHICLE ) ) {
			Tribes::Eval( "onVehicleEnter( );" );
		} else  if ( ( ctrl->virtual_func_table != VFT_VEHICLE ) && ( player_last_vft == VFT_VEHICLE ) ) {
			Tribes::Eval( "onVehicleExit( );" );
		}

		player_last_vft = ctrl->virtual_func_table;
		player_speed = vectorLength( &ctrl->velocity );
	} else {
		player_last_vft = VFT_PLAYER;
		player_speed = 0.0f;
	}
}