#include "Tribes.h"

float Sky_lastTime = 0.0f, Sky_rotation = 0.0f;
float Sky_rotation_speed = 0.0f;

void Endframe_SkyRotation_Load( ) {
	Tribes::RegisterVariable( "pref::skyRotationSpeed", &Sky_rotation_speed, VAR_FLOAT );
}

void Endframe_SkyRotation( ) {
	if ( Sky_rotation_speed == 0.0f )
		return;

	float time = Tribes::GetSimTime( );
	float elapsed = ( time - Sky_lastTime );

	Sky_rotation += ( elapsed * Sky_rotation_speed );
	Sky_lastTime = time;
	Tribes::ComputeSkySlices( Sky_rotation );
}