#ifndef __TYPES_H__
#define __TYPES_H__

#pragma pack(push)
#pragma pack(1)

class RGBAf {
public:
	float r, g, b, a;
};

class RGBA {
public:
	unsigned char r, g, b, a;
};

class RGB {
public:
	unsigned char r, g, b;
};

class BGRA {
public:
	unsigned char b, g, r, a;
};

class Vertex2i {
public:
	int x, y;
};

class Vertex2f {
public:
	float x, y;
};

class Vertex3f {
public:
	float x, y, z;
};

#pragma pack(pop)

#endif // __TYPES_H__